Skip to:
Content
Pages
Categories
Search
Top
Bottom

WP 3.0 breaks the plugin

  • Avatar of foxly
    foxly
    Participant

    @foxly

    Just a heads-up that WP3.0 breaks the current version of hook sniffer. It throws

    Fatal error: Call to undefined function apply_filters_ref_array() in C:xampphtdocswp-includesquery.php on line 1869

    Because that function has been added to plugin.php in WP 3.0, along with some other fairly major changes.

    Eagerly anticipating an updated version… :)

    Thanks!

    ^F^

Viewing 9 replies - 1 through 9 (of 9 total)
  • Avatar of Jeff Sayre
    Jeff Sayre
    Participant

    @jeffsayre

    @foxly

    Thanks for the heads up. I’ll look into this error and investigate any other changes to WP 3.0’s plugin.php file.

    Avatar of Jeff Sayre
    Jeff Sayre
    Participant

    @jeffsayre

    After further investigating, it looks like the function apply_filters_ref_array() is the only change within plugin.php from previous versions. It is new as of WP 3.0.

    I can easily fix this error. However, it will take a little additonal work as I noticed that I need to catch triggered hooks within apply_filters_ref_array() as well. This realization also made me look at the do_action_ref_array() which is present in both the old version of plugin.php file and the new version. I need to catch triggered hooks within that function too.

    So, give me a few days to work all of this out. But for now, it is safe to simply copy apply_filters_ref_array() from the plugin.php file of a downloaded copy of WP 3.0 into the modified plugin.php file of WP Hook Sniffer. Just realize that you will not be presented with any useful hook-firing intelligence for that function at this time.

    Avatar of foxly
    foxly
    Participant

    @foxly

    @jeffsayre

    Happy to hear you’ll be able to get it fixed quickly, and thanks for the workaround in the meantime. WordPress Hook Sniffer is a powerful tool that’s helped us solve some incredibly tricky defects.

    On behalf of the BP Album dev team …thanks!

    ^F^

    Avatar of Jeff Sayre
    Jeff Sayre
    Participant

    @jeffsayre

    @foxly -

    Fixed, updated, and good to go! Please download version 0.13 and don’t forget to replace the modified plugin.php file with the one that comes in the download package.

    Avatar of Boone Gorges
    Boone Gorges
    Keymaster

    @boonebgorges

    Thanks for fixing it so quickly, Jeff! Your plugin is one of those that I don’t have to use that often, but when I do, it’s REALLY important (and helpful!). So thanks!

    Avatar of Jeff Sayre
    Jeff Sayre
    Participant

    @jeffsayre

    @foxly and @boonebgorges

    You’re both very welcome! I’m a big believer in developer tools and wish that there were more of them. I’m not sure what my next developer tool project will be — perhaps an auto plugin creator tool?

    Avatar of Boone Gorges
    Boone Gorges
    Keymaster

    @boonebgorges

    Too bad that plugin doesn’t exist yet, or you could use it to build that plugin.

    Avatar of Jeff Sayre
    Jeff Sayre
    Participant

    @jeffsayre

    Good point. I suppose I could create that plugin, then create a time machine (high-mileage, used DeLoreans don’t cost that much) and then go back into time with that plugin and use it to create it. Of course, I would risk an infinite loop which is always poor programming etiquette. So, never mind.

    Avatar of Boone Gorges
    Boone Gorges
    Keymaster

    @boonebgorges

    I couldn’t finish reading your post because my brain registered a fatal error when I tried to allocate another 2 bytes of memory.

Viewing 9 replies - 1 through 9 (of 9 total)

You must be logged in to reply to this topic.